############### Configuration MNIST-SVHN ###############


# Data parameters
datadir = "./data/mnist"

tasks_description = [('MNIST', '3channel', None, None,None), ('SVHN', None, None, None,None)]
dim = 32
inputs = 3
outputs=10


# Training parameters
n_epochs = 10
lr= 0.001
batch_size_train = 64
batch_size_test = 64
beta_type = 0.1  # 'Blundell', 'Standard', etc. Use float for const value
net_type = 'lenet'
neurons = None
capacity= 2

# Bayesian parameters
layer_type = 'lrt'  # 'bbb' or 'lrt'
activation_type = 'softplus'  # 'softplus' or 'relu'
priors={
    'prior_mu': 0,
    'prior_sigma': 0.1,
    'posterior_mu_initial': (0, 0.1),  # (mean, std) normal_
    'posterior_rho_initial': (-5, 0.1),  # (mean, std) normal_
}

transfer_posterior = True


# Other parameters
import torch
device = torch.device("cuda:0" if torch.cuda.is_available() else "cpu")
folder = 'results/results-mnist-svhn'
results_file = 'results.txt'