############### Configuration for Split MNIST ###############

# Data parameters

datadir = "./data/mnist"


tasks_description = [('MNIST', None, None, None,(0,2)),('MNIST', None, None, None,(2,4)),
                     ('MNIST', None, None, None,(4,6)),('MNIST', None, None, None,(6,8)),('MNIST', None, None, None,(8,10))]

dim = 28
inputs = 1
outputs=10

# Training parameters

n_epochs = 10
lr = 0.001
batch_size_train = 64
batch_size_test = 64
activation_type = 'softplus'  # 'softplus' or 'relu'
net_type = '1fc'
neurons = 64
capacity= 5


# Parameters related to Bayesian framework


layer_type = 'lrt'  # 'bbb' or 'lrt'

priors={
    'prior_mu': 0,
    'prior_sigma': 0.1,
    'posterior_mu_initial': (0, 0.1),  # (mean, std) normal_
    'posterior_rho_initial': (-5, 0.1),  # (mean, std) normal_
}

beta_type = "0.1"# 0.1  # 'Blundell', 'Standard', etc. Use float for const value

transfer_posterior = False


#Other parameters
import torch
device = torch.device("cuda:0" if torch.cuda.is_available() else "cpu")
folder = 'results/results-split-mnist'
results_file = 'results.txt'





